<?php

namespace app\model;

use support\Model;

class SysUser extends Model
{
    protected $table = 'sys_user';

    protected $primaryKey = 'user_id';

    public const UPDATED_AT = null;

    protected $keyType = 'string';

    public function getUserAddtimesAttribute($value){
        return date('Y-m-d H:i:s',$value);
    }

    /* 按登录名查找用户 */
    public static function findByLoginName($name)
    {
        return self::where('user_login_name', $name)->first();
    }

    /**
     * @Desc 修改用户状态
     * @Author Gorden
     * @Date 2024/3/12 13:20
     *
     * @param $id
     * @param $data
     * @return int
     */
    public static function updateStatus($id, $data)
    {
        return self::where('user_id', $id)->update($data);
    }
}