<?php

namespace process;

use app\admin\service\goods\GoodsService;
use app\admin\service\order\OrderService;
use Workerman\Crontab\Crontab;

class Task
{
    public function onWorkerStart()
    {
        // 每分钟执行一次
        new Crontab('0 */1 * * * *', function () {
            // 商品自动上架
            GoodsService::checkListing();
            // 商品自动上架
            GoodsService::checkOffListing();
        });

        // 每天的8点执行，注意这里省略了秒位
        new Crontab('0 8 * * *', function () {
            // 自动确认收货
            OrderService::AutomaticReceipt();
        });
    }
}